%bcond_without check

%global goipath         github.com/tinylib/msgp
Version:                1.1.5

%gometa

%global common_description %{expand:
This is a code generation tool and serialization library for MessagePack.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go code generator for MessagePack
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/philhofer/fwd)
BuildRequires:  golang(github.com/ttacon/chalk)
BuildRequires:  golang(golang.org/x/tools/imports)

%description
%{common_description}

%package -n msgp
Summary:       %{summary}

%description -n msgp
%{common_description}

This package contains the msgp binary.

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/msgp %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
export GO111MODULE=off
export PATH=$PATH:%{buildroot}%{_bindir}
export GOPATH=%{_datadir}/gocode:%{buildroot}%{_datadir}/gocode
go generate ./msgp
go generate ./_generated
%gocheck
%endif

%files -n msgp
%license LICENSE
%doc README.md
%{_bindir}/msgp

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-1
- initial build
